Skip to content
Last updated

DomainGetLockingStatus

Obtains the current lock status of the domain.

Connects to the registrar and obtains the current lock status of the domain

Request Parameters

ParameterTypeDescriptionRequired
actionstring"DomainGetLockingStatus"Required
domainidintThe id of the domain to obtain the lock status forRequired

Response Parameters

ParameterTypeDescription
resultstringThe result of the operation: success or error
lockstatusstringThe current status of the lock.

Example Request (CURL)

$ch = curl_init();
curl_setopt($ch, CURLOPT_URL, 'https://www.example.com/includes/api.php');
curl_setopt($ch, CURLOPT_POST, 1);
curl_setopt($ch, CURLOPT_POSTFIELDS,
    http_build_query(
        array(
            'action' => 'DomainGetLockingStatus',
            // See https://developers.whmcs.com/api/authentication
            'username' => 'IDENTIFIER_OR_ADMIN_USERNAME',
            'password' => 'SECRET_OR_HASHED_PASSWORD',
            'domainid' => '1',
            'responsetype' => 'json',
        )
    )
);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, 1);
$response = curl_exec($ch);
curl_close($ch);

Example Request (Local API)

$command = 'DomainGetLockingStatus';
$postData = array(
    'domainid' => '1',
);
$adminUsername = 'ADMIN_USERNAME'; // Optional for WHMCS 7.2 and later

$results = localAPI($command, $postData, $adminUsername);
print_r($results);

Example Response JSON

{
    "result": "success",
    "lockstatus": "locked"
}

Error Responses

Possible error condition responses include:

  • Domain ID Not Found

Version History

VersionChangelog
1.0Initial Version